<?php

namespace App\Commands\Concerns;

use Illuminate\Support\Facades\Storage;

trait SetProjectStorage
{
    private function createProjectDisk(string $projectName): void
    {
        Storage::set(
            'project',
            Storage::createLocalDriver(['root' => Storage::disk('local')->path($projectName)])
        );
    }
}