<?php

namespace App\Git;

use GitWrapper\GitWrapper;
use Illuminate\Support\Facades\Storage;

class ResetGitTask
{
    public function __invoke()
    {
        Storage::disk('project')->deleteDirectory('.git');

        $git = new GitWrapper;
        $workingCopy = $git->workingCopy(Storage::disk('project')->path(''));
        $workingCopy->init();
        $workingCopy->add('.');
        $workingCopy->commit('Initial commit');
    }
}
