<?php

namespace Tests\Feature;

use Tests\TestCase;

class NewProjectTest extends TestCase
{
    /** @test */
    public function can_specify_type_of_project()
    {
        $this->artisan('new', ['name' => 'test', '--type' => 'laravel']);
    }

    /** @test */
    public function can_create_new_project()
    {
        $this->artisan('new', ['name' => 'test'])
            ->expectsQuestion('What type of project do you want to create?', 'laravel');
    }
}